# Uses of Interface
org.opensaml.xmlsec.encryption.KANonce

Packages that use KANonce
Package
Description
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of KANonce in org.opensaml.xmlsec.agreement.impl

Methods in org.opensaml.xmlsec.agreement.impl with parameters of type KANonce
Modifier and Type
Method
Description
`static KANonce`
KANonce.`fromXMLObject(KANonce xmlObject)`
Create and initialize a new instance from the specified `XMLObject`.

## Uses of KANonce in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return KANonce
Modifier and Type
Method
Description
`KANonce`
AgreementMethod.`getKANonce()`
Get the nonce child element used to introduce variability into the generation of keying material.
Methods in org.opensaml.xmlsec.encryption with parameters of type KANonce
Modifier and Type
Method
Description
`void`
AgreementMethod.`setKANonce(KANonce newKANonce)`
Set the nonce child element used to introduce variability into the generation of keying material.

## Uses of KANonce in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement KANonce
Modifier and Type
Class
Description
`class`
`KANonceImpl`
Concrete implementation of `KANonce`.
Fields in org.opensaml.xmlsec.encryption.impl declared as KANonce
Modifier and Type
Field
Description
`private KANonce`
AgreementMethodImpl.`kaNonce`
KA-Nonce child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return KANonce
Modifier and Type
Method
Description
`KANonce`
KANonceBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`KANonce`
KANonceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`KANonce`
AgreementMethodImpl.`getKANonce()`
Get the nonce child element used to introduce variability into the generation of keying material.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type KANonce
Modifier and Type
Method
Description
`void`
AgreementMethodImpl.`setKANonce(KANonce newKANonce)`
Set the nonce child element used to introduce variability into the generation of keying material.